//
//  GlowWormLogr.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.12.29.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormRule.h>
#import <GlowWormObject.h>
#import <Transaction.h>

@interface GlowWormLogr : GlowWormObject <GlowWormObject>
{
	
}

- (NSNumber *)ctrl;
- (NSNumber *)tran;
- (NSString *)data;

- (void)setCtrl:(NSNumber *)aNum;
- (void)setTran:(NSNumber *)aNum;
- (void)setData:(NSString *)aStr;

+ (Transaction *)insertLogrHandler:(id)callbackObj callbackSel:(SEL)callbackSel;
+ (Transaction *)deleteLogrHandler:(id)callbackObj callbackSel:(SEL)callbackSel;
+ (Transaction *)selectLogrForRule:(GlowWormRule *)aRule date:(uint32_t)date startPos:(uint32_t)startPos count:(int)count callbackObj:(id)callbackObj callbackSel:(SEL)callbackSel;

@end
