//
//  Transaction.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.09.15.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormObject.h>
#import <GlowWormMesg.h>

@interface Transaction : NSObject
{
	
}

- (id)initWithMesg:(GlowWormMesg *)aMesg;
- (id)initWithMesg:(GlowWormMesg *)aMesg obj:(id)obj sel:(SEL)sel;
- (void)dealloc;

- (void)setCallback:(id)anObj sel:(SEL)aSel;
- (void)setCallback:(id)anObj sel:(SEL)aSel ctx:(id)aCtx;

- (id)callbackObj;
- (SEL)callbackSel;
- (id)callbackCtx;

- (id <GlowWormObject>)body;
- (GlowWormMesg *)mesg;
- (NSData *)serializeBody;

- (void)callHandlerWithTrans:(Transaction *)trans;

- (void)setNoBody:(BOOL)aBool;
- (BOOL)getNoBody;

- (BOOL)isEqual:(id)anotherTrans;

@end
